Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jep.configurableparser.matchers
Class GrammarException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.singularsys.jep.JepException
                  com.singularsys.jep.ParseException
                      com.singularsys.jep.configurableparser.matchers.GrammarException

All Implemented Interfaces:
  java.io.Serializable

    public class GrammarException

extends ParseException

Signals grammatical errors.

Author:
  Richard Morris
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.singularsys.jep.ParseException
`jccpe`

Constructor Summary
`GrammarException(java.lang.String message, int lineNumber, int columnNumber)`
`GrammarException(java.lang.String message, Token actual)`
`GrammarException(java.lang.String message, Token expected, Token actual)`

Method Summary
`Token` | `getActual()`
`Token` | `getExpected()`

Methods inherited from class com.singularsys.jep.ParseException
`getColumnNumber, getLineNumber, getMessage, setPosition`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GrammarException

    public GrammarException(java.lang.String message,
                            Token expected,
                            Token actual)

### GrammarException

    public GrammarException(java.lang.String message,
                            Token actual)

### GrammarException

    public GrammarException(java.lang.String message,
                            int lineNumber,
                            int columnNumber)

Parameters:
  `message` -
  `lineNumber` -
  `columnNumber` -

Method Detail

### getExpected

    public Token getExpected()

### getActual

    public Token getActual()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Singular Systems http://www.singularsys.com/jep